Create webhook subscription
Create a subscription for new matching events. Save signing_secret from the response once. Required scope: `webhooks:manage`.
Preferred authentication header.
In: header
Request Body
application/json
JSON object. Unknown properties are rejected.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.agent-brains.com/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "events": [ "message.created" ] }'{
"id": "string",
"url": "http://example.com",
"events": [
"message.created"
],
"employee_ids": [
"string"
],
"enabled": true,
"created_at": "2019-08-24T14:15:22Z",
"signing_secret": "stringstringstringstringstringstringstringstringstringstringstri"
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}